Bug 9760 - Simplify local use preferences
Summary: Simplify local use preferences
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marcel de Rooy
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-07 12:19 UTC by Marcel de Rooy
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9760: Simplify local use preferences (22.33 KB, patch)
2013-03-07 12:22 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 9760: Simplify local use preferences (22.34 KB, patch)
2013-03-08 15:48 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9760: Simplify local use preferences (25.62 KB, patch)
2013-03-11 15:52 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2013-03-07 12:19:42 UTC
A lot of code in systempreferences.pl should be obsoleted. It is the old code for preferences.
Only code pertaining to local use preferences should be kept.
Comment 1 Marcel de Rooy 2013-03-07 12:22:21 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2013-03-08 15:48:24 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-03-11 15:51:21 UTC
QA comment:

This patch removes a lot of useless code in the systempreferences.pl script.
I didn't find anything to delete in the template file.
All works great, no regression found.
I will just remove the $sth->finish statements in my sign-off patch.

Marked as Passed QA.
Comment 4 Jonathan Druart 2013-03-11 15:52:38 UTC
Created attachment 16037 [details] [review]
Bug 9760: Simplify local use preferences

Removes a lot of code that was needed to handle prefs the old way.

Test plan:
Goto Local use preferences. Do you see some local preferences?
Add a new pref, edit and delete it.
Modify the url to systempreferences.pl?tab=OPAC or tab=log. You should only see
a short message.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Amended patch: Remove the $sth->finish statements
Comment 5 Jared Camins-Esakov 2013-03-13 12:56:58 UTC
This patch has been pushed to master.